--------------------------------------------------
-- STRS IR Maverick Video Page
--------------------------------------------------
local mpcd_path = LockOn_Options.script_path.."MPCD/indicator/STRS/"
dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")

-- Common Elements
dofile(LockOn_Options.script_path.."MPCD/indicator/MENU/MPCD_BG.lua")
dofile(mpcd_path.."STRS_IRMV_Video.lua")
dofile(mpcd_path.."STRS_WPN_LST.lua")

--Alignment Structure
--local mpcd_align	= create_mpcd_textured_box( 0, 0, 1024, 1024, nil, nil, 0)
--mpcd_align.name		= "mpcd_align"
--mpcd_align.init_pos	= {0, 0, 0}
--Add_MPCD_Element(mpcd_align)

-- PAGE MENU
local	mpcd_mm_btn_01				= CreateElement "ceStringPoly"
		mpcd_mm_btn_01.name			= "mpcd_mm_btn_01"
		mpcd_mm_btn_01.material		= mpcd_tpod_font
		mpcd_mm_btn_01.init_pos		= mpcd_btn_01_pos
		mpcd_mm_btn_01.alignment	= "CenterCenter"
		mpcd_mm_btn_01.value		= "S\nH\nI\nP"
		mpcd_mm_btn_01.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_01)

local	mpcd_mm_btn_05				= CreateElement "ceStringPoly"
		mpcd_mm_btn_05.name			= "mpcd_mm_btn_05"
		mpcd_mm_btn_05.material		= mpcd_tpod_font
		mpcd_mm_btn_05.init_pos		= mpcd_btn_05_pos
		mpcd_mm_btn_05.alignment	= "CenterCenter"
		mpcd_mm_btn_05.value		= "F\nO\nV"
		mpcd_mm_btn_05.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_05)

local	mpcd_mm_btn_14				= CreateElement "ceStringPoly"
		mpcd_mm_btn_14.name			= "mpcd_mm_btn_14"
		mpcd_mm_btn_14.material		= mpcd_tpod_font
		mpcd_mm_btn_14.init_pos		= mpcd_btn_14_pos
		mpcd_mm_btn_14.alignment	= "CenterCenter"
		mpcd_mm_btn_14.value		= "S\nT\nE\nP"
		mpcd_mm_btn_14.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_14)

local	mpcd_mm_btn_15				= CreateElement "ceStringPoly"
		mpcd_mm_btn_15.name			= "mpcd_mm_btn_15"
		mpcd_mm_btn_15.material		= mpcd_tpod_font
		mpcd_mm_btn_15.init_pos		= mpcd_btn_15_pos
		mpcd_mm_btn_15.alignment	= "CenterCenter"
		mpcd_mm_btn_15.value		= "E\nC\nM"
		mpcd_mm_btn_15.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_15)

local	mpcd_mm_btn_16				= CreateElement "ceStringPoly"
		mpcd_mm_btn_16.name			= "mpcd_mm_btn_16"
		mpcd_mm_btn_16.material		= mpcd_tpod_font
		mpcd_mm_btn_16.init_pos		= mpcd_btn_16_pos
		mpcd_mm_btn_16.alignment	= "CenterCenter"
		mpcd_mm_btn_16.value		= "POS/INS"
		mpcd_mm_btn_16.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_16)

local	mpcd_mm_btn_17				= CreateElement "ceStringPoly"
		mpcd_mm_btn_17.name			= "mpcd_mm_btn_17"
		mpcd_mm_btn_17.material		= mpcd_tpod_font
		mpcd_mm_btn_17.init_pos		= mpcd_btn_17_pos
		mpcd_mm_btn_17.alignment	= "CenterCenter"
		mpcd_mm_btn_17.value		= "TBST"
		mpcd_mm_btn_17.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_17)

local	mpcd_mm_btn_18				= CreateElement "ceStringPoly"
		mpcd_mm_btn_18.name			= "mpcd_mm_btn_18"
		mpcd_mm_btn_18.material		= mpcd_tpod_font
		mpcd_mm_btn_18.init_pos		= mpcd_btn_18_pos
		mpcd_mm_btn_18.alignment	= "CenterCenter"
		mpcd_mm_btn_18.value		= "MENU"
		mpcd_mm_btn_18.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_18)

local	mpcd_mm_btn_20				= CreateElement "ceStringPoly"
		mpcd_mm_btn_20.name			= "mpcd_mm_btn_20"
		mpcd_mm_btn_20.material		= mpcd_tpod_font
		mpcd_mm_btn_20.init_pos		= mpcd_btn_20_pos
		mpcd_mm_btn_20.alignment	= "CenterCenter"
		mpcd_mm_btn_20.value		= "PLTY"
		mpcd_mm_btn_20.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_20)

-- DATA
local	ac_sensor				= CreateElement "ceStringPoly"
		ac_sensor.name			= "ac_sensor"
		ac_sensor.material		= mpcd_tpod_font
		ac_sensor.init_pos		= { -0.80,  0.80, 0}
		ac_sensor.alignment		= "LeftCenter"
		ac_sensor.formats		= {"%s"}
		ac_sensor.stringdefs	= MPCD_large_font_size
		ac_sensor.controllers	= {{"ac_sel_sensor"}}
Add_MPCD_Element(ac_sensor)

local	irmav_gimbal_limit				= CreateElement "ceStringPoly"
		irmav_gimbal_limit.name			= "irmav_gimbal_limit"
		irmav_gimbal_limit.material		= mpcd_tpod_font
		irmav_gimbal_limit.init_pos		= { 0.80,  0.80, 0}
		irmav_gimbal_limit.alignment	= "RightCenter"
		irmav_gimbal_limit.value		= "GIMBAL LIMIT"
		irmav_gimbal_limit.stringdefs	= MPCD_large_font_size
		irmav_gimbal_limit.controllers	= {{"irmv_gimbal_limit"}}
Add_MPCD_Element(irmav_gimbal_limit)


-- WHITE ELEMENTS
local	irmv_fov_narrow_w				= create_mpcd_textured_box( 354, 127, 811, 584, nil, nil, 6)
		irmv_fov_narrow_w.name			= "irmv_fov_narrow_w"
		irmv_fov_narrow_w.init_pos		= {0, 0, 0}
		irmv_fov_narrow_w.controllers	= {{"irmv_pol_wh"}, {"irmv_wide_fov"}}
Add_MPCD_Element(irmv_fov_narrow_w)

local	irmv_point_cross_w				= create_mpcd_textured_box( 193, 163, 347, 317, nil, nil, 6)
		irmv_point_cross_w.name			= "irmv_point_cross_w"
		irmv_point_cross_w.init_pos		= {0.0, -0.0, 0}
		irmv_point_cross_w.controllers	= {{"irmv_pol_wh"}, {"irmv_lock_condition", 0.63}}
Add_MPCD_Element(irmv_point_cross_w)

local	irmv_depr_marks_w				= create_mpcd_textured_box( 4, 160, 150, 316, nil, nil, 6)
		irmv_depr_marks_w.name			= "irmv_depr_marks_w"
		irmv_depr_marks_w.init_pos		= {0, -0.30, 0}
		irmv_depr_marks_w.controllers	= {{"irmv_pol_wh"}}
Add_MPCD_Element(irmv_depr_marks_w)

-- Cross hairs
local	irmv_crosshairs_top				= CreateElement "ceSimpleLineObject"
		irmv_crosshairs_top.name		= "irmv_crosshairs_top"
		irmv_crosshairs_top.material   	= MakeMaterial(nil,	MPCD_WHITE)
		irmv_crosshairs_top.width       = 0.005
		irmv_crosshairs_top.init_pos	= {0, 0.8, 0}
		irmv_crosshairs_top.controllers	= {{"irmv_pol_wh"}, {"irmv_crosshairs_top"}}
Add_MPCD_Element(irmv_crosshairs_top)

local	irmv_crosshairs_btm				= CreateElement "ceSimpleLineObject"
		irmv_crosshairs_btm.name		= "irmv_crosshairs_btm"
		irmv_crosshairs_btm.material   	= MakeMaterial(nil,	MPCD_WHITE)
		irmv_crosshairs_btm.width       = 0.005
		irmv_crosshairs_btm.init_pos	= {0, -0.8, 0}
		irmv_crosshairs_btm.controllers	= {{"irmv_pol_wh"}, {"irmv_crosshairs_bottom"}}
Add_MPCD_Element(irmv_crosshairs_btm)

local	irmv_crosshairs_lft				= CreateElement "ceSimpleLineObject"
		irmv_crosshairs_lft.name		= "irmv_crosshairs_lft"
		irmv_crosshairs_lft.material   	= MakeMaterial(nil,	MPCD_WHITE)
		irmv_crosshairs_lft.width       = 0.005
		irmv_crosshairs_lft.init_pos	= {-0.8, 0.0, 0}
		irmv_crosshairs_lft.controllers	= {{"irmv_pol_wh"}, {"irmv_crosshairs_left"}}
Add_MPCD_Element(irmv_crosshairs_lft)

local	irmv_crosshairs_rgt				= CreateElement "ceSimpleLineObject"
		irmv_crosshairs_rgt.name		= "irmv_crosshairs_rgt"
		irmv_crosshairs_rgt.material   	= MakeMaterial(nil,	MPCD_WHITE)
		irmv_crosshairs_rgt.width       = 0.005
		irmv_crosshairs_rgt.init_pos	= {0.8, 0.0, 0}
		irmv_crosshairs_rgt.controllers	= {{"irmv_pol_wh"}, {"irmv_crosshairs_right"}}
Add_MPCD_Element(irmv_crosshairs_rgt)


-- BLACK ELEMENTS
local	irmv_fov_narrow_b				= create_mpcd_textured_box( 354, 127, 811, 584, nil, nil, 7)
		irmv_fov_narrow_b.name			= "irmv_fov_narrow_b"
		irmv_fov_narrow_b.init_pos		= {0, 0, 0}
		irmv_fov_narrow_b.controllers	= {{"irmv_pol_bl"}, {"irmv_wide_fov"}}
Add_MPCD_Element(irmv_fov_narrow_b)

local	irmv_point_cross_b				= create_mpcd_textured_box( 193, 163, 347, 317, nil, nil, 7)
		irmv_point_cross_b.name			= "irmv_point_cross_b"
		irmv_point_cross_b.init_pos		= {0.0, -0.0, 0}
		irmv_point_cross_b.controllers	= {{"irmv_pol_bl"}, {"irmv_lock_condition", 0.63}}
Add_MPCD_Element(irmv_point_cross_b)

local	irmv_depr_marks_b				= create_mpcd_textured_box( 4, 160, 150, 316, nil, nil, 7)
		irmv_depr_marks_b.name			= "irmv_depr_marks_b"
		irmv_depr_marks_b.init_pos		= {0, -0.3, 0}
		irmv_depr_marks_b.controllers	= {{"irmv_pol_bl"}}
Add_MPCD_Element(irmv_depr_marks_b)

-- Cross hairs (Black)
local	irmv_crosshairs_b_top				= CreateElement "ceSimpleLineObject"
		irmv_crosshairs_b_top.name			= "irmv_crosshairs_b_top"
		irmv_crosshairs_b_top.material		= MakeMaterial(nil,	MPCD_BLACK)
		irmv_crosshairs_b_top.width			= 0.005
		irmv_crosshairs_b_top.init_pos		= {0, 0.8, 0}
		irmv_crosshairs_b_top.controllers	= {{"irmv_pol_bl"}, {"irmv_crosshairs_top"}}
Add_MPCD_Element(irmv_crosshairs_b_top)

local	irmv_crosshairs_b_btm				= CreateElement "ceSimpleLineObject"
		irmv_crosshairs_b_btm.name			= "irmv_crosshairs_b_btm"
		irmv_crosshairs_b_btm.material		= MakeMaterial(nil,	MPCD_BLACK)
		irmv_crosshairs_b_btm.width			= 0.005
		irmv_crosshairs_b_btm.init_pos		= {0, -0.8, 0}
		irmv_crosshairs_b_btm.controllers	= {{"irmv_pol_bl"}, {"irmv_crosshairs_bottom"}}
Add_MPCD_Element(irmv_crosshairs_b_btm)

local	irmv_crosshairs_b_lft				= CreateElement "ceSimpleLineObject"
		irmv_crosshairs_b_lft.name			= "irmv_crosshairs_b_lft"
		irmv_crosshairs_b_lft.material		= MakeMaterial(nil,	MPCD_BLACK)
		irmv_crosshairs_b_lft.width			= 0.005
		irmv_crosshairs_b_lft.init_pos		= {-0.8, 0.0, 0}
		irmv_crosshairs_b_lft.controllers	= {{"irmv_pol_bl"}, {"irmv_crosshairs_left"}}
Add_MPCD_Element(irmv_crosshairs_b_lft)

local	irmv_crosshairs_b_rgt				= CreateElement "ceSimpleLineObject"
		irmv_crosshairs_b_rgt.name			= "irmv_crosshairs_b_rgt"
		irmv_crosshairs_b_rgt.material		= MakeMaterial(nil,	MPCD_BLACK)
		irmv_crosshairs_b_rgt.width			= 0.005
		irmv_crosshairs_b_rgt.init_pos		= {0.8, 0.0, 0}
		irmv_crosshairs_b_rgt.controllers	= {{"irmv_pol_bl"}, {"irmv_crosshairs_right"}}
Add_MPCD_Element(irmv_crosshairs_b_rgt)

